import React from 'react';
import PropTypes from 'prop-types';
import { createComponent } from '@cloudflare/style-container';

var styles = () => ({
  marginTop: 0,
  marginBottom: 0
});

var NotificationList = _ref => {
  var {
    className,
    children
  } = _ref;
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, children);
};

NotificationList.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string
};
NotificationList.displayName = 'NotificationList';
export default createComponent(styles, NotificationList);