"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styleContainer = require("@cloudflare/style-container");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = function styles(_ref) {
  var theme = _ref.theme;
  return {
    position: 'fixed',
    bottom: 0,
    left: 0,
    right: 0,
    maxHeight: '25%',
    overflow: 'auto',
    zIndex: 1600,
    fontSize: theme.fontSizes[3]
  };
};

var NotificationGlobalContainer = function NotificationGlobalContainer(_ref2) {
  var className = _ref2.className,
      children = _ref2.children;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, children);
};

NotificationGlobalContainer.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string
};
NotificationGlobalContainer.displayName = 'NotificationGlobalContainer';

var _default = (0, _styleContainer.createComponent)(styles, NotificationGlobalContainer);

exports.default = _default;