import React from 'react';
import PropTypes from 'prop-types';
import { createComponent } from '@cloudflare/style-container';

var styles = _ref => {
  var {
    theme
  } = _ref;
  return {
    position: 'fixed',
    bottom: 0,
    left: 0,
    right: 0,
    maxHeight: '25%',
    overflow: 'auto',
    zIndex: 1600,
    fontSize: theme.fontSizes[3]
  };
};

var NotificationGlobalContainer = _ref2 => {
  var {
    className,
    children
  } = _ref2;
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, children);
};

NotificationGlobalContainer.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string
};
NotificationGlobalContainer.displayName = 'NotificationGlobalContainer';
export default createComponent(styles, NotificationGlobalContainer);