"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styleContainer = require("@cloudflare/style-container");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = function styles() {
  return {
    marginTop: 0,
    marginBottom: 0
  };
};

var NotificationList = function NotificationList(_ref) {
  var className = _ref.className,
      children = _ref.children;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, children);
};

NotificationList.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string
};
NotificationList.displayName = 'NotificationList';

var _default = (0, _styleContainer.createComponent)(styles, NotificationList);

exports.default = _default;