import React from 'react';
import PropTypes from 'prop-types';
import { createComponent } from '@cloudflare/style-container';

const styles = () => ({
  marginTop: 0,
  marginBottom: 0
});

const NotificationList = ({ className, children }) => (
  <div className={className}>{children}</div>
);

NotificationList.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string
};
NotificationList.displayName = 'NotificationList';

export default createComponent(styles, NotificationList);
